=== debian/changelog ===
mongodb (1:3.2.9-1ubuntu1) zesty; urgency=medium

  * Import Gentoo patch to fix FTBFS with boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Nov 2016 09:50:47 +0000

mongodb (1:3.2.9-1build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:31:21 +0000

mongodb (1:3.2.9-1) experimental; urgency=medium

  * New upstream release.
  * Fix build with Boost 1.60 by backporting upstream commit 92c3f80f.
  * Fix FTBFS in src/mongo/base/parse_number_test.cpp with GCC 6.1.
  * Fix FTBFS with GCC 6.1 by ignoring overflow checks as upstream's test suite
    explicitly triggers overflows.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 02 Sep 2016 12:17:27 +0300

mongodb (1:3.2.8-2) experimental; urgency=medium

  * Disable wiredtiger on 32-bit systems; Wiredtiger only supports 64-bit
    platforms.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 15 Jul 2016 15:59:41 +0300

mongodb (1:3.2.8-1) experimental; urgency=medium

  * New upstream release
    + Enable wiredtiger (using the bundled copy for the time being)
  * Upload to experimental
  * Drop irrelevant or merged/fixed upstream patches:
    + ppc64el patch
    + Fix-GCC-5-FTBFS.patch
    + fix-yaml-detection
    + add-option-to-disable-javascript.patch
    + disable-warnings.patch
    + no-unused-function.patch
    + 0006-Fix-ARM-alignment-problems.patch
    + 0099-Pagesize-hacks.patch
    + 0004-kfreebsd-does-not-have-sys-prctl.h.patch
  * Refresh remaining patches
  * scons:
    + 'scons smoke' is gone, run smoke directly
    + Use the new test suite arguments for scons
  * mongodb-clients: drop binaries removed upstream
    + Also drop manpages of missing binaries
  * Remove v8 B-D, mongodb now uses a bundled greasemonkey copy
  * B-D on zlib1g-dev and libboost-regex-dev
  * Use system valgrind
  * d/copyright:
    + update for 3.2
    + fix zlib file matching
  * d/watch: search for stable 3.2 releases
  * lintian:
    + relax source override for utils.js to allow long lines of any
      length (and not just 565 characters)
    + remove unused overrides for PCRE

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 14 Jul 2016 16:42:32 +0300
