## mongodb 3.2.11

=== SConstruct ===
--- 
+++ 
@@ -13,6 +13,8 @@
 import uuid
 from buildscripts import utils
 from buildscripts import moduleconfig
+
+import SCons
 
 from mongo_scons_utils import (
     default_buildinfo_environment_data,
@@ -422,8 +424,10 @@
 )
 
 add_option('cache',
+    choices=["all", "nolinked"],
+    const='all',
     help='Use an object cache rather than a per-build variant directory (experimental)',
-    nargs=0,
+    nargs='?',
 )
 
 add_option('cache-dir',
@@ -485,4 +489,3 @@
 except IOError as e:
     # If the file error wasn't because the file is missing, error out
     if e.errno != errno.ENOENT:
-        print "Error opening version.json: {0}".format(e.strerror)
