=== debian/changelog ===
mongodb (1:3.2.11-2+deb9u1.lnd.3) stretch; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:06:06 +0800

mongodb (1:3.2.11-2+deb9u1.lnd.2) experimental; urgency=medium

  * fix reg name on linux_syscall_support.h

 -- wujiahuan <wujiahuan@loongson.cn>  Wed, 14 Apr 2021 10:25:44 +0800

mongodb (1:3.2.11-2+deb9u1.lnd1) experimental; urgency=medium

  * change asio version of mongodb on loongarch64
  * add loongarch64 platform support

 -- wujiahuan <wujiahaun@loongson.cn>  Fri, 09 Apr 2021 09:42:22 +0800

mongodb (1:3.2.11-2+deb9u1) stretch; urgency=medium

  * Fix segfault/FTBFS on ARM64 with 48-bit virtual addresses (Closes: #871906)
  * Fix spidermonkey GC segfault when built with GCC 6 (Closes: #876755)
  * mongodb.service: start after network.target (Closes: #864407)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 02 Oct 2017 11:14:03 +0300

mongodb (1:3.2.11-2) unstable; urgency=medium

  * Drop armhf builds; currently FTBFS and is unsupported upstream
    (Closes: #836435)
  * Set MMAPv1 as the default storage engine on i386; fixes FTBFS on i386
  * Fix ARM64 detection in WT; fixes FTBFS on arm64

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 15 Dec 2016 20:04:56 +0200

mongodb (1:3.2.11-1) unstable; urgency=medium

  * New upstream stable release
  * Upload to unstable
  * mongodb-clients: recommend mongodb-tools
  * Disable kFreeBSD and HURD builds, until we finish porting the patches from
    earlier versions
  * d/watch: verify upstream tarball signatures
  * Fix build with boost 1.62; patch by NetBSD
  * B-D on libssl1.0-dev (Closes: #828438)
  * B-D on tzdata (Closes: #839505)
  * Refactor DEP-8 tests
  * Set maintainer to pkg-mongodb, move Lászlo to Uploaders and update Vcs-*
    URLs
  * mongodb-server: Depend on lsb-base for the initscript
  * Use resmoke to run db and unit tests
    + B-D on python-yaml and python-subprocess32
  * d/copyright: drop files removed upstream
  * mongodb-server: remove unused lintian override

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 15 Dec 2016 11:06:03 +0200
