=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: mongodb
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Uploaders: Jérémy Lal <kapouer@melix.org>,
+Maintainer: Debian MongoDB Maintainers <pkg-mongodb-maintainers@lists.alioth.debian.org>
+Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
+           Jérémy Lal <kapouer@melix.org>,
            Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends:
  debhelper (>= 9),
@@ -14,7 +14,7 @@
  libboost-program-options-dev,
  libboost-thread-dev,
  libboost-regex-dev,
- libgoogle-perftools-dev [linux-amd64 linux-i386 armhf],
+ libgoogle-perftools-dev [linux-amd64 linux-i386],
  libyaml-cpp-dev,
  libpcap-dev,
  libpcre3-dev,
@@ -24,16 +24,18 @@
  libssl-dev,
  zlib1g-dev,
  python-pymongo,
+ python-subprocess32,
+ python-yaml,
  python,
  scons,
- valgrind
+ tzdata
 Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/mongodb.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mongodb.git/
+Vcs-Git: https://anonscm.debian.org/git/pkg-mongodb/mongodb.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mongodb/mongodb.git/
 Homepage: https://www.mongodb.org
 
 Package: mongodb
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-any armhf arm64 ppc64el
+Architecture: amd64 i386 arm64 ppc64el loongarch64
 Depends: mongodb-server (>= 1:2.4.1-2), ${misc:Depends}, ${shlibs:Depends}
 Description: object/document-oriented database (metapackage)
  MongoDB is a high-performance, open source, schema-free
@@ -55,10 +57,11 @@
  the server, the clients and the development files (headers and library).
 
 Package: mongodb-server
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-any armhf arm64 ppc64el
+Architecture: amd64 i386 arm64 ppc64el loongarch64
 Depends:
  mongodb-clients,
- adduser,
+ adduser, 
+ lsb-base (>= 3.0-6),
  ${misc:Depends},
  ${shlibs:Depends}
 Replaces:
@@ -83,10 +86,11 @@
  server/load-balancer (mongos).
 
 Package: mongodb-clients
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-any armhf arm64 ppc64el
+Architecture: amd64 i386 arm64 ppc64el loongarch64
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Recommends: mongo-tools
 Replaces:
  mongodb (<= 1:1.4.2-2)
 Description: object/document-oriented database (client apps)
