=== debian/rules ===
--- 
+++ 
@@ -22,14 +22,14 @@
        DEB_SCONS_OPTIONS += -j$(PROCS)
 endif
 
-COMMON_OPTIONS = --use-system-tcmalloc --use-system-pcre \
+COMMON_OPTIONS = --use-system-pcre \
 		 --use-system-boost --use-system-snappy \
-		 --use-system-zlib --use-system-valgrind \
+		 --use-system-zlib --disable-warnings-as-errors \
 		 --use-system-stemmer --use-system-yaml \
 		 --ssl $(DEB_SCONS_OPTIONS) \
 		 CC=$(CC) CXX=$(CXX)
 
-gperftools_archs = amd64 i386 armhf
+gperftools_archs = amd64 i386 armhf loongarch64
 ifneq (,$(filter $(DEB_HOST_ARCH), $(gperftools_archs)))
 COMMON_OPTIONS += --allocator=tcmalloc
 else
@@ -47,15 +47,14 @@
 	rm -rf $(CURDIR)/debian/tmp-test/
 	rm -rf $(CURDIR)/.scons/
 	rm -rf $(CURDIR)/build/
-	rm -f $(CURDIR)/failfile.smoke $(CURDIR)/smoke-last.json
 
 override_dh_auto_build:
 	scons $(COMMON_OPTIONS) core tools
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	scons $(COMMON_OPTIONS) dbtest unittests integration_tests
-	python ./buildscripts/smoke.py --smoke-db-prefix="$(CURDIR)/debian/tmp-test"
+	scons $(COMMON_OPTIONS) dbtest unittests
+	python ./buildscripts/resmoke.py --dbpathPrefix="$(CURDIR)/debian/tmp-test" --suites=dbtest,unittests
 .PHONY: override_dh_auto_test
 endif
