## mongodb 3.4.1

=== SConstruct ===
--- 
+++ 
@@ -1,4 +1,5 @@
 # -*- mode: python; -*-
+import atexit
 import copy
 import datetime
 import errno
@@ -25,6 +26,12 @@
 import libdeps
 
 EnsureSConsVersion( 2, 3, 0 )
+
+def print_build_failures():
+    from SCons.Script import GetBuildFailures
+    for bf in GetBuildFailures():
+        print "%s failed: %s" % (bf.node, bf.errstr)
+atexit.register(print_build_failures)
 
 def versiontuple(v):
     return tuple(map(int, (v.split("."))))
@@ -319,14 +326,6 @@
     nargs=0,
 )
 
-boost_choices = ['1.56']
-add_option('internal-boost',
-    choices=boost_choices,
-    default=boost_choices[0],
-    help='Specify internal boost version to use',
-    type='choice',
-)
-
 add_option('system-boost-lib-search-suffixes',
     help='Comma delimited sequence of boost library suffixes to search',
 )
@@ -365,6 +364,11 @@
     nargs=0,
 )
 
+add_option('use-system-icu',
+    help="use system version of ICU",
+    nargs=0,
+)
+
 add_option('use-system-intel_decimal128',
     help='use system version of intel decimal128',
     nargs=0,
@@ -380,16 +384,21 @@
     nargs=0,
 )
 
+add_option('build-mongoreplay',
+    help='when building with --use-new-tools, build mongoreplay ( requires pcap dev )',
+    nargs=1,
+)
+
 add_option('use-cpu-profiler',
     help='Link against the google-perftools profiler library',
     nargs=0,
 )
 
 add_option('build-fast-and-loose',
-    choices=['on', 'off'],
-    const='on',
-    default='on',
-    help='looser dependency checking, ignored for --release builds',
+    choices=['on', 'off', 'auto'],
+    const='on',
+    default='auto',
+    help='looser dependency checking',
     nargs='?',
     type='choice',
 )
@@ -435,12 +444,10 @@
     help='Specify the directory to use for caching objects if --cache is in use',
 )
 
-add_option("experimental-decimal-support",
-    choices=['on', 'off'],
-    default='off',
-    const='on',
-    help="Enable experimental decimal128 type support",
-    nargs='?',
+add_option("cxx-std",
+    choices=["11", "14"],
+    default="11",
+    help="Select the C++ langauge standard to build with",
 )
 
 def find_mongo_custom_variables():
@@ -476,16 +483,13 @@
     help="Comma-separated list of modules to build. Empty means none. Default is all.",
 )
 
-try:
-    with open("version.json", "r") as version_fp:
-        version_data = json.load(version_fp)
-
-    if 'version' not in version_data:
-        print "version.json does not contain a version string"
-        Exit(1)
-    if 'githash' not in version_data:
-        version_data['githash'] = utils.getGitVersion()
-
-except IOError as e:
-    # If the file error wasn't because the file is missing, error out
-    if e.errno != errno.ENOENT:
+add_option('runtime-hardening',
+    choices=["on", "off"],
+    default="on",
+    help="Enable runtime hardening features (e.g. stack smash protection)",
+    type='choice',
+)
+
+add_option('use-s390x-crc32',
+    choices=["on", "off"],
+    default="on",
