=== debian/changelog ===
mongodb (1:3.4.1-2ubuntu1) zesty; urgency=medium

  [ Apollon Oikonomopoulos ]
  * d/copyright: adjust src/third_party/* paths

  [ Jeremy Bicha ]
  * Try hardware-assisted CRC32 on s390x

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 25 Dec 2016 10:55:40 -0500

mongodb (1:3.4.1-2) experimental; urgency=medium

  * Disable hardware-assisted CRC32 on arm64 and s390x. This fixes FTBFS on
    these architectures.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 23 Dec 2016 20:59:49 +0200

mongodb (1:3.4.1-1) experimental; urgency=medium

  * New upstream stable series
    + d/watch: look for 3.4 stable releases
    + Update upstream's signing key for 3.4
    + Drop fix-boost-1.60-build.patch; applied upstream
    + Refresh remaining patches
    + B-D on libboost-iostreams-dev
  * Upload to experimental
  * New patches:
    + Use std::regex instead of boost::regex in mongo shell (fixes FTBFS with
      Debian's boost and C++11)
  * Also build for s390x (Closes: #848298)
  * Drop i386 builds; i386 has long been deprecated upstream and support has
    been essentially removed in 3.4.
  * Use tcmalloc on ppc64el and arm64 as well
  * Do not ship mongosniff, as it is no longer built by the mongodb source
  * d/changelog: restore the 2.6.12-3 entry (Closes: #848305)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 23 Dec 2016 14:57:21 +0200

mongodb (1:2.6.12-3) unstable; urgency=high

  * Fix CVE-2016-6494 , prevent group and other access to .dbshell
    (closes: #832908).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 08 Aug 2016 21:56:32 +0000
