=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mongodb
 Section: database
 Priority: optional
-Maintainer: Debian MongoDB Maintainers <pkg-mongodb-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian MongoDB Maintainers <pkg-mongodb-maintainers@lists.alioth.debian.org>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
            Jérémy Lal <kapouer@melix.org>,
            Apollon Oikonomopoulos <apoikos@debian.org>
@@ -11,31 +12,33 @@
  libboost-date-time-dev,
  libboost-dev (>> 1.50),
  libboost-filesystem-dev,
+ libboost-iostreams-dev,
  libboost-program-options-dev,
  libboost-thread-dev,
  libboost-regex-dev,
- libgoogle-perftools-dev [linux-amd64 linux-i386],
+ libgoogle-perftools-dev [linux-amd64 linux-arm64 linux-ppc64el],
  libyaml-cpp-dev,
  libpcap-dev,
  libpcre3-dev,
  libreadline-dev,
  libsnappy-dev,
  libstemmer-dev,
- libssl-dev,
+ libssl1.0-dev,
  zlib1g-dev,
  python-pymongo,
  python-subprocess32,
  python-yaml,
  python,
  scons,
- tzdata
+ tzdata,
+ valgrind
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-mongodb/mongodb.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mongodb/mongodb.git/
 Homepage: https://www.mongodb.org
 
 Package: mongodb
-Architecture: amd64 i386 arm64 ppc64el loongarch64
+Architecture: amd64 arm64 ppc64el s390x
 Depends: mongodb-server (>= 1:2.4.1-2), ${misc:Depends}, ${shlibs:Depends}
 Description: object/document-oriented database (metapackage)
  MongoDB is a high-performance, open source, schema-free
@@ -57,7 +60,7 @@
  the server, the clients and the development files (headers and library).
 
 Package: mongodb-server
-Architecture: amd64 i386 arm64 ppc64el loongarch64
+Architecture: amd64 arm64 ppc64el s390x
 Depends:
  mongodb-clients,
  adduser, 
@@ -86,7 +89,7 @@
  server/load-balancer (mongos).
 
 Package: mongodb-clients
-Architecture: amd64 i386 arm64 ppc64el loongarch64
+Architecture: amd64 arm64 ppc64el s390x
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
