=== debian/rules ===
--- 
+++ 
@@ -22,14 +22,20 @@
        DEB_SCONS_OPTIONS += -j$(PROCS)
 endif
 
-COMMON_OPTIONS = --use-system-pcre \
+# Disable hardware-assisted crc32 on Debian since the buildd's don't
+# support it, but try enabling it on Ubuntu
+ifneq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+    DEB_S390X_OPTIONS += --use-s390x-crc32=off
+endif
+
+COMMON_OPTIONS = --use-system-tcmalloc --use-system-pcre \
 		 --use-system-boost --use-system-snappy \
-		 --use-system-zlib --disable-warnings-as-errors \
+		 --use-system-zlib --use-system-valgrind \
 		 --use-system-stemmer --use-system-yaml \
-		 --ssl $(DEB_SCONS_OPTIONS) \
+		 --ssl $(DEB_SCONS_OPTIONS) $(DEB_S390X_OPTIONS) \
 		 CC=$(CC) CXX=$(CXX)
 
-gperftools_archs = amd64 i386 armhf loongarch64
+gperftools_archs = amd64 ppc64el arm64
 ifneq (,$(filter $(DEB_HOST_ARCH), $(gperftools_archs)))
 COMMON_OPTIONS += --allocator=tcmalloc
 else
