=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/,uversionmangle=s/(\d)-(rc\d+)$/$1~$2/ \
	http://www.mongodb.org/dl/src/ .*/mongodb-src-r(3\.4\..*)\.tar\.gz
